Topic: Unable to load "mdb-vue-multi-carousel"

peterdpolet priority asked 1 year ago


Expected behavior I'm trying to use the Multi-item Carousel which requires importing "mdb-vue-multi-carousel". I have successfully loaded "mdb-vue-ui-kit" to run the standard carousels, but cannot install "mdb-vue-multi-carousel" npn ERR! 404 Not found -

Actual behavior Attempting to run > npm install -i mdb-vue-multi-carousel results in:

npm ERR! code E404 npm ERR! 404 Not Found - GET https://registry.npmjs.org/mdb-vue-multi-carousel - Not found npm ERR! 404 npm ERR! 404 'mdb-vue-multi-carousel@*' is not in this registry. npm ERR! 404 npm ERR! 404 Note that you can also install from a npm ERR! 404 tarball, folder, http url, or git url. npm ERR! A complete log of this run can be found in: npm ERR! /home/pdpolet/.npm/_logs/2022-12-22T12_40_48_129Z-debug-0.log***

Resources (screenshots, code snippets etc.) However the package.json does list mdb-vue-ui-kit as a dependency:

}, "dependencies": { "axios": "^0.21.1", "core-js": "^3.8.3", "https-browserify": "^1.0.0", "mdb-vue-ui-kit": "^3.1.1", "stream-http": "^3.2.0", "vue": "^3.2.13", "vue-router": "^4.0.3" },


Mikołaj Smoleński staff commented 1 year ago

Did you follow the plugins installation guide? https://mdbootstrap.com/docs/vue/pro/plugins-installation/#section-npm-existing-project

Multi carousel is a plugin, which requires separate installation.

Keep coding!



Please insert min. 20 characters.

FREE CONSULTATION

Hire our experts to build a dedicated project. We'll analyze your business requirements, for free.

Status

Opened

Specification of the issue

  • User: Priority
  • Premium support: Yes
  • Technology: MDB Vue
  • MDB Version: MDB5 3.0.0
  • Device: Dell
  • Browser: Chrome
  • OS: UBUNTU
  • Provided sample code: No
  • Provided link: Yes